All pages
Powered by GitBook
1 of 5

Loading...

Loading...

Loading...

Loading...

Loading...

List pricelist items

List of items in a price list.

State diagram

The following diagram shows the possible states for the Pricelist Item object and the transition between these states:

Get pricelist item

Gets a price item within a price list.

The state transition diagram of a pricelist item.

Price List Item

The Pricelist Item object represents pricing information for a particular Product Item.

This object contains the following attributes:

Field
Type
Description

id

This object contains the following attributes:

Field
Type
Description

Update pricelist item

Updates a price item within a price list.

string, core

(Read-only) The business identifier of the price list Item.

status

enum

The status of the pricelist item. Allowed values are draft, private (can be used in subscription, but not for sale), or forSale (available for assignment on a subscription and sale).

description

string

A description of the price list item.

reasonForChange

string

OPS‑only field indicating the reason for a change.

info

object

Represents the object, which enables or disables the display of price information and its associated text.

unitLP

decimal

The unit list price of the product item, also known as the Manufacturer's Suggested Retail Price. Only SoftwareOne operations or vendors can edit the field. Clients can see the field in the Marketplace, but cannot edit it.

unitPP

decimal

The unit purchase price of the product item. Only SoftwareOne operations or vendors can see the field.

markup

decimal

The markup that has been applied to the item price. Optional on request: if omitted, the price list default markup is used. Only SoftwareOne Operations can view the field.

margin

decimal

(Read-only) The margin of the item price, calculated from the purchase price and the markup. Only SoftwareOne operations can view the field.

unitSP

decimal

(Read-only) The unit sales price of the product item, calculated from the purchase price and the markup. Only SoftwareOne operations and clients can view the field.

PPx1

decimal

(Read-only) The purchase price. Only SoftwareOne operations and vendors can view the field.

PPxM

decimal

(Read-only) The purchase price per month. Only SoftwareOne operations and vendors can view the field.

PPxY

decimal

(Read-only) The purchase price per year. Only SoftwareOne operations and vendors can view the field.

SPx1

decimal

(Read-only) The sales price. Only SoftwareOne operations and clients can view the field.

SPxM

decimal

(Read-only) The sales price value per month. Only SoftwareOne operations and clients can view the field.

SPxY

decimal

(Read-only) The sales price per year. Only SoftwareOne operations and clients can view the field.

LPx1

decimal

(Read-only) The estimated list price value per. Only SoftwareOne Operations and Clients can view the field.

LPxM

decimal

(Read-only) The estimated list price per month. Only SoftwareOne operations and clients can view the field.

LPxY

decimal

(Read-only) The estimated list price per year. Only SoftwareOne operations and clients can view the field.

priceList

object

(Read-only) Represents the that this item belongs to.

item

object

(Read-only) Represents the object.

audit

object

(Read-only) Represents the object.

visible

boolean

description

string

PRICE LIST ITEM OBJECT
{
  "id": "PRI-1234-5678-9012-0001",
  "status": "ForSale",
  "description": "Sample description",
  "reasonForChange": "Example Reason For Change",
  "priceInfo": {
    "enabled": "true",
    "description": "This is the description as to why the item costs this much."
  },
  "unitLP": 39.95,
  "unitPP": 19.95,
  "markup": 0.5013,
  "margin": 0.3339,
  "unitSP": 29.95,
  "PPx1": 3.00,
  "PPxM": 19.95,
  "PPxY": 239.40,
  "PPx3Y": 718.20,
  "SPx1": 3.45,
  "SPxM": 29.95,
  "SPxY": 359.40,
  "SPx3Y": 1078.2,
  "LPx1": 1.15,
  "LPxM": 10.55,
  "LPxY": 150.05,
  "LPx3Y": 450.15,
  "priceList": {
    "id": "PRC-1234-5678-9012"
  },
  "item": {
    "id": "ITM-1234-5678-0001"
  }
}

Price Info object

Example

Appears as the title on the request wizard.

PriceInfo
priceList
item
audit
get
Path parameters
priceListIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
visiblebooleanOptional
descriptionstring · nullableOptional
reasonForChangestring · nullableOptional
unitLPnumber · double · nullableOptional
unitPPnumber · double · nullableOptional
markupnumber · double · nullableOptional
marginnumber · double · nullableOptional
unitSPnumber · double · nullableOptional
PPx1number · double · nullableOptional
PPxMnumber · double · nullableOptional
PPxYnumber · double · nullableOptional
PPx3Ynumber · double · nullableOptional
SPx1number · double · nullableOptional
SPxMnumber · double · nullableOptional
SPxYnumber · double · nullableOptional
SPx3Ynumber · double · nullableOptional
LPx1number · double · nullableOptional
LPxMnumber · double · nullableOptional
LPxYnumber · double · nullableOptional
LPx3Ynumber · double · nullableOptional
idstringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
vendorstringOptional
operationsstring · nullableOptional
get/public/v1/catalog/price-lists/{priceListId}/items
GET /public/v1/catalog/price-lists/{priceListId}/items HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "published": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unpublished": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "name": "text",
      "status": "Draft",
      "description": "text",
      "info": {
        "visible": true,
        "description": "text"
      },
      "reasonForChange": "text",
      "unitLP": 1,
      "unitPP": 1,
      "markup": 1,
      "margin": 1,
      "unitSP": 1,
      "PPx1": 1,
      "PPxM": 1,
      "PPxY": 1,
      "PPx3Y": 1,
      "SPx1": 1,
      "SPxM": 1,
      "SPxY": 1,
      "SPx3Y": 1,
      "LPx1": 1,
      "LPxM": 1,
      "LPxY": 1,
      "LPx3Y": 1,
      "priceList": {
        "id": "text",
        "revision": 1,
        "currency": "text"
      },
      "item": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "vendor": "text",
          "operations": "text"
        }
      }
    }
  ]
}
get
Path parameters
idstringRequired
priceListIdstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
visiblebooleanOptional
descriptionstring · nullableOptional
reasonForChangestring · nullableOptional
unitLPnumber · double · nullableOptional
unitPPnumber · double · nullableOptional
markupnumber · double · nullableOptional
marginnumber · double · nullableOptional
unitSPnumber · double · nullableOptional
PPx1number · double · nullableOptional
PPxMnumber · double · nullableOptional
PPxYnumber · double · nullableOptional
PPx3Ynumber · double · nullableOptional
SPx1number · double · nullableOptional
SPxMnumber · double · nullableOptional
SPxYnumber · double · nullableOptional
SPx3Ynumber · double · nullableOptional
LPx1number · double · nullableOptional
LPxMnumber · double · nullableOptional
LPxYnumber · double · nullableOptional
LPx3Ynumber · double · nullableOptional
idstringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
vendorstringOptional
operationsstring · nullableOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/catalog/price-lists/{priceListId}/items/{id}
GET /public/v1/catalog/price-lists/{priceListId}/items/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "status": "Draft",
  "description": "text",
  "info": {
    "visible": true,
    "description": "text"
  },
  "reasonForChange": "text",
  "unitLP": 1,
  "unitPP": 1,
  "markup": 1,
  "margin": 1,
  "unitSP": 1,
  "PPx1": 1,
  "PPxM": 1,
  "PPxY": 1,
  "PPx3Y": 1,
  "SPx1": 1,
  "SPxM": 1,
  "SPxY": 1,
  "SPx3Y": 1,
  "LPx1": 1,
  "LPxM": 1,
  "LPxY": 1,
  "LPx3Y": 1,
  "priceList": {
    "id": "text",
    "revision": 1,
    "currency": "text"
  },
  "item": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "vendor": "text",
      "operations": "text"
    }
  }
}
put
Path parameters
priceListIdstringRequired
idstringRequired
Body
statusstringOptional
reasonForChangestring · nullableOptional
descriptionstring · nullableOptional
unitPPnumber · double · nullableOptional
unitLPnumber · double · nullableOptional
unitSPnumber · double · nullableOptional
markupnumber · double · nullableOptional
visiblebooleanOptional
descriptionstring · nullableOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
visiblebooleanOptional
descriptionstring · nullableOptional
reasonForChangestring · nullableOptional
unitLPnumber · double · nullableOptional
unitPPnumber · double · nullableOptional
markupnumber · double · nullableOptional
marginnumber · double · nullableOptional
unitSPnumber · double · nullableOptional
PPx1number · double · nullableOptional
PPxMnumber · double · nullableOptional
PPxYnumber · double · nullableOptional
PPx3Ynumber · double · nullableOptional
SPx1number · double · nullableOptional
SPxMnumber · double · nullableOptional
SPxYnumber · double · nullableOptional
SPx3Ynumber · double · nullableOptional
LPx1number · double · nullableOptional
LPxMnumber · double · nullableOptional
LPxYnumber · double · nullableOptional
LPx3Ynumber · double · nullableOptional
idstringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
vendorstringOptional
operationsstring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/public/v1/catalog/price-lists/{priceListId}/items/{id}
PUT /public/v1/catalog/price-lists/{priceListId}/items/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 152

{
  "status": "text",
  "reasonForChange": "text",
  "description": "text",
  "unitPP": 1,
  "unitLP": 1,
  "unitSP": 1,
  "markup": 1,
  "info": {
    "visible": true,
    "description": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "status": "Draft",
  "description": "text",
  "info": {
    "visible": true,
    "description": "text"
  },
  "reasonForChange": "text",
  "unitLP": 1,
  "unitPP": 1,
  "markup": 1,
  "margin": 1,
  "unitSP": 1,
  "PPx1": 1,
  "PPxM": 1,
  "PPxY": 1,
  "PPx3Y": 1,
  "SPx1": 1,
  "SPxM": 1,
  "SPxY": 1,
  "SPx3Y": 1,
  "LPx1": 1,
  "LPxM": 1,
  "LPxY": 1,
  "LPx3Y": 1,
  "priceList": {
    "id": "text",
    "revision": 1,
    "currency": "text"
  },
  "item": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "vendor": "text",
      "operations": "text"
    }
  }
}